<?php
class SciencePostBridge extends FeedExpander {

	const MAINTAINER = 'Yan';
	const NAME = 'Science Post Bridge';
	const URI = 'https://sciencepost.fr/';
	const DESCRIPTION = 'Returns the newest articles.';

	protected function parseItem($item){
		$item = parent::parseItem($item);

		$article_html = getSimpleHTMLDOMCached($item['uri']);
		if(!$article_html) {
			$item['content'] = 'Could not request Science Post : ' . $item['uri'];
			return $item;
		}

		$article_image = '';
		foreach ($article_html->find('div.g1-row-inner>img') as $img) {
			if ($img->alt == $item['title']) {
				$article_image = self::URI . $img->src;
				break;
			}
		}

		$article_content = '';
		if ($article_image) {
			$article_content = '<p><img src="' . $article_image . '" /></p>';
		}
		$article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('div.entry-inner', 0)->innertext
		);

		$article_content = stripWithDelimiters($article_content, '<div class="mashsb-buttons"', '</div>');
		$article_content = stripWithDelimiters($article_content, '<script', '</script>');
		
		$item['content'] = $article_content;

		return $item;
	}

	public function collectData(){
		$feedUrl = self::URI . 'feed/';
		$this->collectExpandableDatas($feedUrl);
	}
}
